---
layout: markdown_page
title: "Health Group"
---

# Health Group

## On this page
{:.no_toc}

- TOC
{:toc}

## Common links

* Slack channel: [#g_monitor_health](https://gitlab.slack.com/archives/g_monitor_health)
* Slack alias: [@monitor-health-group](https://app.slack.com/client/T02592416/C0259241C/user_groups/SLFUX86HF)
* Google group: [monitor-health-group@gitlab.com](https://groups.google.com/a/gitlab.com/forum/#!forum/monitor-health-group)

## Backend Team members

<%= direct_team(manager_role: 'Engineering Manager, Monitor Health') %>

## Frontend Team members

<%= direct_team(manager_role: 'Frontend Engineering Manager, Monitor Health') %>

## Stable counterparts

<%= stable_counterparts(role_regexp: /[,&] Monitor/, direct_manager_role: 'Engineering Manager, Monitor Health', other_manager_roles: ['Engineering Manager, Monitor APM', 'Frontend Engineering Manager, Monitor Health', 'Interim Frontend Engineering Manager, Monitor APM']) %>

## Responsibilities
{: #monitoring}

This team maps to the [Health Group](/handbook/product/categories/#health-group) category and focuses on:
* Error Tracking
* Cluster Monitoring
* Synthetic Monitoring
* Incident Management
* Status Page

## Repos we own or use
* [Prometheus Ruby Mmap Client](https://gitlab.com/gitlab-org/prometheus-client-mmap) - The ruby Prometheus instrumentation lib we built, which we used to instrument GitLab
* [GitLab CE](https://gitlab.com/gitlab-org/gitlab-ce) and [GitLab EE](https://gitlab.com/gitlab-org/gitlab-ee) - Where much of the user facing code lives
* [Omnibus](https://gitlab.com/gitlab-org/omnibus-gitlab) and [Charts](https://gitlab.com/charts/charts.gitlab.io), where a lot of the packaging related work goes on. (We ship GitLab fully instrumented along with a Prometheus instance)

## Issue boards

* [Health](https://gitlab.com/groups/gitlab-org/-/boards/1117452) - Main board with all issues labeled "Health"
* [Health - Workflow](https://gitlab.com/groups/gitlab-org/-/boards/1160198) - Issue board organized by workflow label of "ready for development", "in dev", or "in review".
* [Charts](https://gitlab.com/groups/gitlab-org/-/boards/1184016) - Issue board with all issues labeled "Charts"
* [Monitor Bugs](https://gitlab.com/groups/gitlab-org/-/boards/979406) - Issue board organized by Priority labels so that we make sure we meet our bug fix SLA

## Async Daily Standups
The purpose of our async standups is to allow every team member to have insight into what everyone else is doing and whether anyone is blocked and could use help. This should not be an exhaustive list of all of your tasks for the day, but rather a summary of the major deliverable you are hoping to achieve. All question prompts are optional. We use the [geekbot slack plugin](https://geekbot.io/) to automate our async standup in the [#g_monitor_standup](https://gitlab.slack.com/archives/g_monitor_standup) channel.

## Recurring Meetings
While we try to keep our process pretty light on meetings, we do hold a [Monitor Health Backlog Grooming](https://docs.google.com/document/d/1YWpzwlLVvciuHlpT1ALfixMHRYcWt7oqD4HftkVE5w8/edit#) meeting weekly to triage and prioritize new issues, discuss our upcoming issues, and uncover any unknowns.

## Frontend Scheduling
Our goal is to move towards a continuous delivery model such that the team completes tasks on a weekly basis. In our weekly meetings, we prioritize grooming our backlog to prioritize specific issues that are ready for development. Every release, the product manager will collaborate with the team to identify notable features that we want implemented. These issues will be shared in the product kickoff call and will have a frontend engineer assigned to them before the development milestone starts.

The development of these assigned issues should not typically last the entire release cycle. Once frontend engineers have completed their assigned issue, they are expected to go to the Health issue board and assign themselves to the next unassigned issue in the list that has the `frontend` and `workflow:ready for development` labels. The issues in the board are prioritized based on importance (the lower they are on the list, the lower the priority). In the event that all issues are assigned for that milestone, frontend engineers are expected to assign themselves to issues on the next milestone on the issue board list.

> The frontend group also has a kickoff issue each release to help frontend engineers get visibilty to the work of other frontend engineers asynchronously. In this issue, it is recommended to only comment on the assigned issues as those are the primary issues that the team has committed to at the time of the kickoff issue.

## Monitor Stage PTO
Just like the rest of the company, we use [PTO Ninja](/handbook/paid-time-off/#pto-ninja) to track when team members are traveling, attending conferences, and taking time off. The easiest way to see who has upcoming PTO is to run the `/ninja whosout` command in the `#g_monitor_standup` slack channel. This will show you the upcoming PTO for everyone in that channel.
